org.springframework.ldap.core

## Class LdapTemplate.MappingCollectingNameClassPairCallbackHandler<T>

- java.lang.Object
- - org.springframework.ldap.core.CollectingNameClassPairCallbackHandler<T>
  - - org.springframework.ldap.core.LdapTemplate.MappingCollectingNameClassPairCallbackHandler<T>

- All Implemented Interfaces:
    NameClassPairCallbackHandler
  Enclosing class:
    LdapTemplate

      public static final class LdapTemplate.MappingCollectingNameClassPairCallbackHandler<T>
      extends CollectingNameClassPairCallbackHandler<T>

  A `NameClassPairCallbackHandler` that passes the NameClassPairs found to a NameClassPairMapper and collects the results in a list.
  Author:
    Mattias Hellborg Arthursson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappingCollectingNameClassPairCallbackHandler(NameClassPairMapper<T> mapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getObjectFromNameClassPair(NameClassPair nameClassPair)` Handle a NameClassPair and transform it to an Object of the desired type and with data from the NameClassPair.

    - ### Methods inherited from class org.springframework.ldap.core.CollectingNameClassPairCallbackHandler

      `getList, handleNameClassPair`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MappingCollectingNameClassPairCallbackHandler

          public MappingCollectingNameClassPairCallbackHandler(NameClassPairMapper<T> mapper)

  - ### Method Detail

    - #### getObjectFromNameClassPair

          public T getObjectFromNameClassPair(NameClassPair nameClassPair)

      Handle a NameClassPair and transform it to an Object of the desired type and with data from the NameClassPair.
      Specified by:
        `getObjectFromNameClassPair` in class `CollectingNameClassPairCallbackHandler<T>`
      Parameters:
        `nameClassPair` - a NameClassPair from a search operation.
      Returns:
        an object constructed from the data in the NameClassPair.